diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeTest.java
index 9717384254..7cb1b0899d 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeTest.java
@@ -607,29 +625,49 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
      */
     @Test
     public void testGetDistanceToWaterSurface() {
-        Assert.assertEquals("Distance to surface must be same",
-                distanceToSurface, specimenFacade.getDistanceToWaterSurface());
-        specimenFacade.setDistanceToWaterSurface(6);
-        Assert.assertEquals("Distance to surface must be 6",
-                Integer.valueOf(6), specimenFacade.getDistanceToWaterSurface());
+        Assert.assertEquals("Distance to surface must be same", distanceToSurface, specimenFacade.getDistanceToWaterSurface());
+        specimenFacade.setDistanceToWaterSurface(6.0);
+        Assert.assertEquals("Distance to surface must be 6", Double.valueOf(6), specimenFacade.getDistanceToWaterSurface());
         // empty facade tests
-        Assert.assertNull("Empty facace must not have any gathering values",
-                emptyFacade.getDistanceToWaterSurface());
-        emptyFacade.setDistanceToWaterSurface(13);
-        Assert.assertNotNull(
-                "Field observation must exist if distance to water exists",
-                emptyFacade.getFieldObservation(false));
-        Assert.assertNotNull(
-                "Gathering event must exist if distance to water exists",
-                emptyFacade.getGatheringEvent(false));
-        FieldObservation specimenFieldObservation = (FieldObservation) emptyFacade
-                .innerDerivedUnit().getDerivedFrom().getOriginals().iterator()
-                .next();
-        Assert.assertSame(
-                "Gathering event of facade and of specimen must be the same",
-                specimenFieldObservation.getGatheringEvent(),
-                emptyFacade.getGatheringEvent(false));
+        Assert.assertNull("Empty facace must not have any gathering values", emptyFacade.getDistanceToWaterSurface());
+        emptyFacade.setDistanceToWaterSurface(13.0);
+        Assert.assertNotNull("Field unit must exist if distance to water exists", emptyFacade.getFieldUnit(false));
+        Assert.assertNotNull("Gathering event must exist if distance to water exists", emptyFacade.getGatheringEvent(false));
+        FieldUnit specimenFieldUnit = (FieldUnit) emptyFacade
+                .innerDerivedUnit().getDerivedFrom().getOriginals().iterator().next();
+        Assert.assertSame("Gathering event of facade and of specimen must be the same",
+                specimenFieldUnit.getGatheringEvent(), emptyFacade.getGatheringEvent(false));
     }
+    
+    @Test
+    public void testGetSetDistanceToWaterText() {
+        Assert.assertEquals("", distanceToSurface, specimenFacade.getDistanceToWaterSurface());
+        Assert.assertEquals("", distanceToSurfaceMax ,specimenFacade.getDistanceToWaterSurfaceMax());
+        Assert.assertEquals("", null,specimenFacade.getDistanceToWaterSurfaceText());
+
+        String distText = "approx. 0.3 - 0.6";
+        specimenFacade.setDistanceToWaterSurfaceText(distText);
+        Assert.assertEquals("", distanceToSurface, specimenFacade.getDistanceToWaterSurface());
+        Assert.assertEquals("", distanceToSurfaceMax,specimenFacade.getDistanceToWaterSurfaceMax());
+        Assert.assertEquals("", distText,specimenFacade.distanceToWaterSurfaceToString());
+        
+        specimenFacade.setDistanceToWaterSurfaceRange(0.6, 1.4);
+        Assert.assertEquals("ToString should not change by setting range if text is set", distText,specimenFacade.distanceToWaterSurfaceToString());
+        Assert.assertEquals("", Double.valueOf(0.6), specimenFacade.getDistanceToWaterSurface());
+        Assert.assertEquals("", Double.valueOf(1.4),specimenFacade.getDistanceToWaterSurfaceMax());
+
+        specimenFacade.setDistanceToWaterSurfaceRange(41.2, null);
+        Assert.assertEquals("ToString should not change by setting range if text is set", distText,specimenFacade.distanceToWaterSurfaceToString());
+        Assert.assertEquals("", Double.valueOf(41.2), specimenFacade.getDistanceToWaterSurface());
+        Assert.assertEquals("", null,specimenFacade.getDistanceToWaterSurfaceMax());
+        
+        specimenFacade.setDistanceToWaterSurfaceText(null);
+        Assert.assertNull("", specimenFacade.getDistanceToWaterSurfaceText());
+        Assert.assertEquals("ToString should change by setting text to null", "41.2",specimenFacade.distanceToWaterSurfaceToString());
+        Assert.assertEquals("", Double.valueOf(41.2), specimenFacade.getDistanceToWaterSurface());
+        Assert.assertEquals("", null,specimenFacade.getDistanceToWaterSurfaceMax());
+    }
+
 
     /**
      * Test method for
@@ -689,13 +727,11 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
      */
     @Test
     public void testGetTimeperiod() {
-        Assert.assertNotNull("Gathering period must not be null",
-                specimenFacade.getGatheringPeriod());
-        Assert.assertEquals("Gathering period must be same", gatheringPeriod,
-                specimenFacade.getGatheringPeriod());
+        Assert.assertNotNull("Gathering period must not be null", specimenFacade.getGatheringPeriod());
+        Assert.assertFalse("Gathering period must not be empty", specimenFacade.getGatheringPeriod().isEmpty());
+        Assert.assertEquals("Gathering period must be same", gatheringPeriod, specimenFacade.getGatheringPeriod());
         specimenFacade.setGatheringPeriod(null);
-        Assert.assertNull("Gathering period must be null",
-                specimenFacade.getGatheringPeriod());
+        Assert.assertTrue("Gathering period must be null", specimenFacade.getGatheringPeriod().isEmpty());
     }
 
     @Test
@@ -704,23 +740,22 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
             IllegalAccessException {
         // this test depends on the current implementation of SpecimenFacade. In
         // future
-        // field observation may not be initialized from the beginning. Than the
+        // field unit may not be initialized from the beginning. Than the
         // following
         // assert should be set to assertNull
-        Assert.assertTrue(
-                "field object should not be null (depends on specimen facade initialization !!)",
+        Assert.assertTrue("field object should not be null (depends on specimen facade initialization !!)",
                 specimenFacade.hasFieldObject());
 
-        Field fieldObservationField = DerivedUnitFacade.class
-                .getDeclaredField("fieldObservation");
-        fieldObservationField.setAccessible(true);
-        fieldObservationField.set(specimenFacade, null);
-        Assert.assertFalse("The field observation should be null now",
+        Field fieldUnitField = DerivedUnitFacade.class
+                .getDeclaredField("fieldUnit");
+        fieldUnitField.setAccessible(true);
+        fieldUnitField.set(specimenFacade, null);
+        Assert.assertFalse("The field unit should be null now",
                 specimenFacade.hasFieldObject());
 
-        specimenFacade.setDistanceToGround(33);
+        specimenFacade.setDistanceToGround(33.0);
         Assert.assertTrue(
-                "The field observation should have been created again",
+                "The field unit should have been created again",
                 specimenFacade.hasFieldObject());
     }
 
@@ -976,15 +1011,15 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
                 emptyFacade.getFieldNumber());
         emptyFacade.setFieldNumber("1256A");
         Assert.assertNotNull(
-                "Field observation must exist if field number exists",
-                emptyFacade.getFieldObservation(false));
-        FieldObservation specimenFieldObservation = (FieldObservation) emptyFacade
+                "Field unit must exist if field number exists",
+                emptyFacade.getFieldUnit(false));
+        FieldUnit specimenFieldUnit = (FieldUnit) emptyFacade
                 .innerDerivedUnit().getDerivedFrom().getOriginals().iterator()
                 .next();
         Assert.assertSame(
-                "Field observation of facade and of specimen must be the same",
-                specimenFieldObservation,
-                emptyFacade.getFieldObservation(false));
+                "Field unit of facade and of specimen must be the same",
+                specimenFieldUnit,
+                emptyFacade.getFieldUnit(false));
         Assert.assertEquals("1256A", emptyFacade.getFieldNumber());
     }
 
@@ -1010,12 +1045,12 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
     @Ignore // #######DerivationEvent ---------------------------------------- 1
     public void testSetGatheringEvent() {
         GatheringEvent newGatheringEvent = GatheringEvent.NewInstance();
-        newGatheringEvent.setDistanceToGround(43);
+        newGatheringEvent.setDistanceToGround(43.0);
         Assert.assertFalse("The initial distance to ground should not be 43",
-                specimenFacade.getDistanceToGround() == 43);
+                specimenFacade.getDistanceToGround() == 43.0);
         specimenFacade.setGatheringEvent(newGatheringEvent);
         Assert.assertTrue("The final distance to ground should be 43",
-                specimenFacade.getDistanceToGround() == 43);
+                specimenFacade.getDistanceToGround() == 43.0);
         Assert.assertSame(
                 "The new gathering event should be 'newGatheringEvent'",
                 newGatheringEvent, specimenFacade.innerGatheringEvent());
@@ -1031,8 +1066,8 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
         Assert.assertNotNull("Gathering event must not be null",
                 specimenFacade.innerGatheringEvent());
         Assert.assertEquals(
-                "Gathering event must be field observations gathering event",
-                specimenFacade.innerFieldObservation().getGatheringEvent(),
+                "Gathering event must be field unit's gathering event",
+                specimenFacade.innerFieldUnit().getGatheringEvent(),
                 specimenFacade.innerGatheringEvent());
     }
 
@@ -1327,8 +1362,7 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
         } catch (MethodNotSupportedByDerivedUnitTypeException e) {
             Assert.fail("Method not supported should not be thrown for a specimen");
         }
-        specimenFacade = DerivedUnitFacade
-                .NewInstance(DerivedUnitType.Observation);
+        specimenFacade = DerivedUnitFacade.NewInstance(SpecimenOrObservationType.Observation);
         try {
             specimenFacade.setPreservationMethod(preservationMethod);
             Assert.fail("Method not supported should be thrown for an observation on set preservation method");
@@ -1336,8 +1370,7 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
         } catch (MethodNotSupportedByDerivedUnitTypeException e) {
             // ok
         }
-        specimenFacade = DerivedUnitFacade
-                .NewInstance(DerivedUnitType.LivingBeing);
+        specimenFacade = DerivedUnitFacade.NewInstance(SpecimenOrObservationType.LivingSpecimen);
         try {
             specimenFacade.getPreservationMethod();
             Assert.fail("Method not supported should be thrown for a living being on get preservation method");
@@ -1436,51 +1469,39 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
 
     @Test
     public void testAddGetRemoveSource() {
-        Assert.assertEquals("No sources should exist yet", 0, specimenFacade
-                .getSources().size());
-        Reference reference = ReferenceFactory.newBook();
-        IdentifiableSource source1 = specimenFacade.addSource(reference, "54",
-                "myName");
-        Assert.assertEquals("One source should exist now", 1, specimenFacade
-                .getSources().size());
-        IdentifiableSource source2 = IdentifiableSource.NewInstance("1",
-                "myTable");
+        Assert.assertEquals("No sources should exist yet", 0, specimenFacade.getSources().size());
+        
+        Reference<?> reference = ReferenceFactory.newBook();
+        IdentifiableSource source1 = specimenFacade.addSource(OriginalSourceType.PrimaryTaxonomicSource, reference, "54", "myName");
+        Assert.assertEquals("One source should exist now", 1, specimenFacade.getSources().size());
+        IdentifiableSource source2 = IdentifiableSource.NewDataImportInstance("1", "myTable");
         specimenFacade.addSource(source2);
-        Assert.assertEquals("One source should exist now", 2, specimenFacade
-                .getSources().size());
+        Assert.assertEquals("One source should exist now", 2, specimenFacade.getSources().size());
         specimenFacade.removeSource(source1);
-        Assert.assertEquals("One source should exist now", 1, specimenFacade
-                .getSources().size());
-        Reference reference2 = ReferenceFactory.newJournal();
-        IdentifiableSource sourceNotUsed = specimenFacade.addSource(reference2,
-                null, null);
+        Assert.assertEquals("One source should exist now", 1, specimenFacade.getSources().size());
+        Reference<?> reference2 = ReferenceFactory.newJournal();
+        IdentifiableSource sourceNotUsed = specimenFacade.addSource(OriginalSourceType.PrimaryTaxonomicSource, reference2,null, null);
         specimenFacade.removeSource(sourceNotUsed);
-        Assert.assertEquals("One source should still exist", 1, specimenFacade
-                .getSources().size());
-        Assert.assertEquals("1", specimenFacade.getSources().iterator().next()
-                .getIdInSource());
+        Assert.assertEquals("One source should still exist", 1, specimenFacade.getSources().size());
+        Assert.assertEquals("1", specimenFacade.getSources().iterator().next().getIdInSource());
         specimenFacade.removeSource(source2);
-        Assert.assertEquals("No sources should exist anymore", 0,
-                specimenFacade.getSources().size());
+        Assert.assertEquals("No sources should exist anymore", 0,specimenFacade.getSources().size());
     }
 
     @Test
     public void testAddGetRemoveDuplicate() {
-        Assert.assertEquals("No duplicates should be available yet", 0,
-                specimenFacade.getDuplicates().size());
-        Specimen newSpecimen1 = Specimen.NewInstance();
+        Assert.assertEquals("No duplicates should be available yet", 0,specimenFacade.getDuplicates().size());
+        DerivedUnit newSpecimen1 = DerivedUnit.NewPreservedSpecimenInstance();
         specimenFacade.addDuplicate(newSpecimen1);
-        Assert.assertEquals("There should be 1 duplicate now", 1,
-                specimenFacade.getDuplicates().size());
-        Specimen newSpecimen2 = Specimen.NewInstance();
+        Assert.assertEquals("There should be 1 duplicate now", 1,specimenFacade.getDuplicates().size());
+        DerivedUnit newSpecimen2 = DerivedUnit.NewPreservedSpecimenInstance();
         DerivationEvent newDerivationEvent = DerivationEvent.NewInstance(DerivationEventType.ACCESSIONING());
         newSpecimen2.setDerivedFrom(newDerivationEvent);
         Assert.assertSame(
                 "The derivation event should be 'newDerivationEvent'",
                 newDerivationEvent, newSpecimen2.getDerivedFrom());
         specimenFacade.addDuplicate(newSpecimen2);
-        Assert.assertEquals("There should be 2 duplicates now", 2,
-                specimenFacade.getDuplicates().size());
+        Assert.assertEquals("There should be 2 duplicates now", 2, specimenFacade.getDuplicates().size());
         Assert.assertNotSame(
                 "The derivation event should not be 'newDerivationEvent' anymore",
                 newDerivationEvent, newSpecimen2.getDerivedFrom());
@@ -1501,9 +1522,9 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
         String catalogNumber = "1234890";
         String accessionNumber = "345345";
         String collectorsNumber = "lkjewe";
-        TaxonNameBase storedUnder = BotanicalName.NewInstance(Rank.SPECIES());
+        TaxonNameBase<?,?> storedUnder = BotanicalName.NewInstance(Rank.SPECIES());
         PreservationMethod method = PreservationMethod.NewInstance();
-        Specimen duplicateSpecimen = specimenFacade.addDuplicate(newCollection,
+        DerivedUnit duplicateSpecimen = specimenFacade.addDuplicate(newCollection,
                 catalogNumber, accessionNumber, storedUnder,
                 method);
         Assert.assertEquals("There should be 2 duplicates now", 2,
@@ -1511,10 +1532,8 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
         specimenFacade.removeDuplicate(newSpecimen2);
         Assert.assertEquals("There should be 1 duplicates now", 1,
                 specimenFacade.getDuplicates().size());
-        Collection sameCollection = specimenFacade.getDuplicates().iterator()
-                .next().getCollection();
-        Assert.assertSame("Collections should be same", newCollection,
-                sameCollection);
+        Collection sameCollection = specimenFacade.getDuplicates().iterator().next().getCollection();
+        Assert.assertSame("Collections should be same", newCollection, sameCollection);
     }
 
     // ************************** Existing Specimen with multiple derivation
@@ -1537,13 +1556,13 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
     }
 
     @Test
-    public void testMultipleFieldObservationsNotSupported() {
+    public void testMultipleFieldUnitNotSupported() {
         specimenFacade = null;
-        FieldObservation secondFieldObject = FieldObservation.NewInstance();
+        FieldUnit secondFieldObject = FieldUnit.NewInstance();
         firstDerivationEvent.addOriginal(secondFieldObject);
         try {
             specimenFacade = DerivedUnitFacade.NewInstance(collectionSpecimen);
-            Assert.fail("Multiple field observations for one specimen should no be supported by the facade");
+            Assert.fail("Multiple field units for one specimen should no be supported by the facade");
         } catch (DerivedUnitFacadeNotSupportedException e) {
             // ok
         }
@@ -1551,23 +1570,24 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
                 specimenFacade);
     }
 
-    @Test // #######DerivationEvent
-    public void testOnlyImageGallerySupported() {
-        specimenFacade = null;
-        firstFieldObject.addMedia(media1);
-        try {
-            specimenFacade = DerivedUnitFacade.NewInstance(collectionSpecimen);
-            Assert.fail("Only image galleries are supported by the facade but not direct media");
-        } catch (DerivedUnitFacadeNotSupportedException e) {
-            // ok
-        }
-        Assert.assertNull("Specimen facade should not be initialized",
-                specimenFacade);
-    }
+// 	not required anymore #3597   
+//    @Test // #######DerivationEvent
+//    public void testOnlyImageGallerySupported() {
+//        specimenFacade = null;
+//        firstFieldObject.addMedia(media1);
+//        try {
+//            specimenFacade = DerivedUnitFacade.NewInstance(collectionSpecimen);
+//            Assert.fail("Only image galleries are supported by the facade but not direct media");
+//        } catch (DerivedUnitFacadeNotSupportedException e) {
+//            // ok
+//        }
+//        Assert.assertNull("Specimen facade should not be initialized",
+//                specimenFacade);
+//    }
 
     @Test // #######DerivationEvent
     public void testEventPropagation() {
-        specimenFacade.setDistanceToGround(24);
+        specimenFacade.setDistanceToGround(24.0);
 
     }
 
@@ -1608,7 +1628,7 @@ public class DerivedUnitFacadeTest extends CdmTransactionalIntegrationTest {
         UsernamePasswordAuthenticationToken token = new UsernamePasswordAuthenticationToken(user, password);
         SecurityContextHolder.getContext().setAuthentication(token);
 
-        DerivedUnitFacade facade = DerivedUnitFacade.NewInstance(DerivedUnitType.Specimen);
+        DerivedUnitFacade facade = DerivedUnitFacade.NewInstance(SpecimenOrObservationType.PreservedSpecimen);
         facade.setLocality("testLocality");
         facade.getTitleCache();
 //		facade.innerGatheringEvent().firePropertyChange("createdBy", null, user);
